<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>Code à usage unique</title>
    <link rel="icon" type="image/x-icon" href="/img/favicon.ico"/>
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/css/bootstrap.css" rel="stylesheet" type="text/css"/>
    <link href="/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="/css/authentication/form-2.css" rel="stylesheet" type="text/css"/>

    <!-- END GLOBAL MANDATORY STYLES -->
    <link rel="stylesheet" type="text/css" href="/css/elements/alert.css">
    <link rel="stylesheet" type="text/css" href="/css/forms/theme-checkbox-radio.css">
    <link rel="stylesheet" type="text/css" href="/css/forms/switches.css">

</head>
<body class="form no-image-content">


<div class="form-container outer">
    <div class="form-form">
        <div class="form-form-wrap">
            <div class="form-container">
                <div class="form-content">
                    <h1 class="">Code à usage unique</h1>
                    <p class="signup-link recovery">Entrez le code que vous avez reçu par email.</p>
                    <% if (error != "") { %>
                        <div class="alert alert-light-danger mb-4" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                     fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                     stroke-linejoin="round" class="feather feather-x close" data-dismiss="alert">
                                    <line x1="18" y1="6" x2="6" y2="18"></line>
                                    <line x1="6" y1="6" x2="18" y2="18"></line>
                                </svg>
                            </button>
                            <strong><%= error %></strong>
                        </div>
                    <% } %>
                    <% if (warning != "") { %>
                        <div class="alert alert-light-warning mb-4" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                     fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                     stroke-linejoin="round" class="feather feather-x close" data-dismiss="alert">
                                    <line x1="18" y1="6" x2="6" y2="18"></line>
                                    <line x1="6" y1="6" x2="18" y2="18"></line>
                                </svg>
                            </button>
                            <strong><%= warning %></strong>
                        </div>
                    <% } %>
                    <form class="text-left needs-validation" method="post" novalidate>
                        <div class="form">
                            <div class="form-group mb-4">
                                <label for="code">Code</label>
                                <input id="code" name="code" type="text" class="form-control" value=""
                                       placeholder="Code" required>
                                <div class="invalid-feedback">
                                    Champ non valide!
                                </div>
                            </div>

                            <div class="d-sm-flex justify-content-between">

                                <div class="field-wrapper">
                                    <button type="submit" class="btn btn-primary mb-3" value="">Valider</button>
                                    <button type="button"
                                            id="refreshBtn" class="btn btn-outline-secondary">Renvoyer le code
                                    </button>
                                </div>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
<script src="/js/jquery.min.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/js/app.js"></script>
<script src="/js/custom.js"></script>
<script src="/plugins/input-mask/jquery.inputmask.bundle.min.js"></script>
<script>
  $('#code').inputmask("9999999");
  $("#refreshBtn").on("click", function (e) {
    window.location.replace("/otp-refresh");
  })
</script>
<!-- END GLOBAL MANDATORY SCRIPTS -->
<script src="/js/authentication/form-2.js"></script>

</body>
</html>

